signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
default-secrets-storage.cpp File Reference
`#include "default-secrets-storage.h"`
`#include "signond-common.h"`
Include dependency graph for default-secrets-storage.cpp:

Go to the source code of this file.

## Macros
#define | RETURN_IF_NOT_OPEN(retval)
#define | S(s) QLatin1String(s)

## Macro Definition Documentation

#define RETURN_IF_NOT_OPEN | ( |  | retval | ) |

Value:
if (!isOpen()) { \
TRACE() << "Secrets DB is not available"; \
SignOn::CredentialsDBError error(QLatin1String("Not open"), \
SignOn::CredentialsDBError::NotOpen); \
setLastError(error); return retval; \
}
TRACE
#define TRACE()
Definition: debug.h:28

Definition at line 27 of file default-secrets-storage.cpp.

Referenced by SignonDaemonNS::DefaultSecretsStorage::clear(), SignonDaemonNS::DefaultSecretsStorage::loadCredentials(), SignonDaemonNS::DefaultSecretsStorage::loadData(), SignonDaemonNS::DefaultSecretsStorage::removeCredentials(), SignonDaemonNS::DefaultSecretsStorage::removeData(), SignonDaemonNS::DefaultSecretsStorage::storeData(), and SignonDaemonNS::DefaultSecretsStorage::updateCredentials().

#define S | ( |  | s | ) | QLatin1String(s)

Definition at line 35 of file default-secrets-storage.cpp.

Referenced by SignonDaemonNS::SecretsDB::loadData(), SignonDaemonNS::SecretsDB::removeData(), SignonDaemonNS::SecretsDB::storeData(), and SignonDaemonNS::SecretsDB::updateCredentials().